#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Copyright 2020 University of Liège
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


import os, os.path

class GUI:
    def __init__(self):
        pass
    def open(self,prefix):
        mshfile = prefix+".msh"
        if not os.path.isfile(mshfile):
            raise Exception("file not found %s" % mshfile)
        posfile = prefix+".pos"
        if not os.path.isfile(posfile):
            raise Exception("file not found %s" % posfile)
        optfile = prefix+".opt"
        if not os.path.isfile(optfile):
            self.defopt(optfile)
        cmd="gmsh %s %s %s" % (mshfile, posfile, optfile)
        os.system(cmd)        

    def defopt(self,fname='heat.opt'):
        f = open(fname,'w')
        f.write("General.Orthographic = 0;\n")
        f.write("View[0].Visible = 1;\n")
        f.write("View[0].IntervalsType = 3;  // filled iso\n")
        for i in range(1,10):
            f.write("View[%d].Visible = 0;\n" % i)
        f.write("View[8].TensorType = 4;\n")
        f.write("View[8].VectorType = 1;\n")
        f.write("View[8].ArrowSizeMax = 20;\n")
        f.write("//View[8].ExternalView = 8;\n")
        f.close()
    
